// CSS Transition Easing
// Default
$linear: cubic-bezier(0.25, 0.25, 0.75, 0.75);
$ease: cubic-bezier(0.25, 0.1, 0.25, 1);
$ease-in: cubic-bezier(0.42, 0, 1, 1);
$ease-out: cubic-bezier(0, 0, 0.58, 1);
$ease-in-out: cubic-bezier(0.42, 0, 0.58, 1);

// In
$easeInQuad: cubic-bezier(0.55, 0.085, 0.68, 0.53);
$easeInCubic: cubic-bezier(0.55, 0.055, 0.675, 0.19);
$easeInQuart: cubic-bezier(0.895, 0.03, 0.685, 0.22);
$easeInQuint: cubic-bezier(0.755, 0.05, 0.855, 0.06);
$easeInSine: cubic-bezier(0.47, 0, 0.745, 0.715);
$easeInExpo: cubic-bezier(0.95, 0.05, 0.795, 0.035);
$easeInCirc: cubic-bezier(0.6, 0.04, 0.98, 0.335);
$easeInBack: cubic-bezier(0.6, -0.28, 0.735, 0.045);

// Out
$easeOutQuad: cubic-bezier(0.25, 0.46, 0.45, 0.94);
$easeOutCubic: cubic-bezier(0.215, 0.61, 0.355, 1);
$easeOutQuart: cubic-bezier(0.165, 0.84, 0.44, 1);
$easeOutQuint: cubic-bezier(0.23, 1, 0.32, 1);
$easeOutSine: cubic-bezier(0.39, 0.575, 0.565, 1);
$easeOutExpo: cubic-bezier(0.19, 1, 0.22, 1);
$easeOutCirc: cubic-bezier(0.075, 0.82, 0.165, 1);
$easeOutBack: cubic-bezier(0.175, 0.885, 0.32, 1.275);

// In Out
$easeInOutQuad: cubic-bezier(0.455, 0.03, 0.515, 0.955);
$easeInOutCubic: cubic-bezier(0.645, 0.045, 0.355, 1);
$easeInOutQuart: cubic-bezier(0.77, 0, 0.175, 1);
$easeInOutQuint: cubic-bezier(0.86, 0, 0.07, 1);
$easeInOutSine: cubic-bezier(0.445, 0.05, 0.55, 0.95);
$easeInOutExpo: cubic-bezier(1, 0, 0, 1);
$easeInOutCirc: cubic-bezier(0.785, 0.135, 0.15, 0.86);
$easeInOutBack: cubic-bezier(0.68, -0.55, 0.265, 1.55);

@mixin _anim($s) {
    -webkit-transition-property: all;
    -moz-transition-property: all;
    -ms-transition-property: all;
    -o-transition-property: all;
    transition-property: all;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}

@mixin _anim-color($s) {
    -webkit-transition-property: color;
    -moz-transition-property: color;
    -ms-transition-property: color;
    -o-transition-property: color;
    transition-property: color;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}

@mixin _anim-width($s) {
    -webkit-transition-property: width, height, opacity;
    -moz-transition-property: width, height, opacity;
    -ms-transition-property: width, height, opacity;
    -o-transition-property: width, height, opacity;
    transition-property: width, height, opacity;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}

@mixin _anim-transform($s) {
    -webkit-transition-property: transform;
    -moz-transition-property: transform;
    -ms-transition-property: transform;
    -o-transition-property: transform;
    transition-property: transform;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}
@mixin _anim-alpha-transform($s) {
    -webkit-transition-property: opacity, transform;
    -moz-transition-property: opacity, transform;
    -ms-transition-property: opacity, transform;
    -o-transition-property: opacity, transform;
    transition-property: opacity, transform;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}

@mixin _anim-alpha($s) {
    -webkit-transition-property: opacity, visibility;
    -moz-transition-property: opacity, visibility;
    -ms-transition-property: opacity, visibility;
    -o-transition-property: opacity, visibility;
    transition-property: opacity, visibility;
    -webkit-transition-duration: $s;
    -moz-transition-duration: $s;
    -ms-transition-duration: $s;
    -o-transition-duration: $s;
    transition-duration: $s;
    -webkit-transition-timing-function: $easeOutExpo;
    -moz-transition-timing-function: $easeOutExpo;
    -ms-transition-timing-function: $easeOutExpo;
    -o-transition-timing-function: $easeOutExpo;
    transition-timing-function: $easeOutExpo;

    // -webkit-backface-visibility:hidden;
    // backface-visibility:hidden;
}

$breakpoint: 767px;